package com.bc_chat.im

import org.junit.Test

/**
 * Example local unit test, which will execute on the development machine (host).
 *
 * See [testing documentation](http://d.android.com/tools/testing).
 */
class ExampleUnitTest {
    @Test
    fun addition_isCorrect() {
//        assertEquals(4, 2 + 2)
        Man().sub()
    }

    inner class Man : User() {
        override fun sub() {
            super.sub()
            System.out.print("------------->")
        }
    }

    open inner class User {
        open fun sub() {
            return
        }
    }

}

